# Uses of Interface
org.opensaml.soap.client.SOAPClient

Packages that use SOAPClient
Package
Description
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.soap.client.http
SOAP HTTP client functionality.

## Uses of SOAPClient in org.opensaml.saml.saml2.binding.decoding.impl

Fields in org.opensaml.saml.saml2.binding.decoding.impl declared as SOAPClient
Modifier and Type
Field
Description
`private SOAPClient`
HTTPArtifactDecoder.`soapClient`
SOAP client.
Methods in org.opensaml.saml.saml2.binding.decoding.impl that return SOAPClient
Modifier and Type
Method
Description
`SOAPClient`
HTTPArtifactDecoder.`getSOAPClient()`
Get the SOAP client instance.
Methods in org.opensaml.saml.saml2.binding.decoding.impl with parameters of type SOAPClient
Modifier and Type
Method
Description
`void`
HTTPArtifactDecoder.`setSOAPClient(SOAPClient client)`
Set the SOAP client instance.

## Uses of SOAPClient in org.opensaml.soap.client.http

Classes in org.opensaml.soap.client.http that implement SOAPClient
Modifier and Type
Class
Description
`class`
`AbstractPipelineHttpSOAPClient`
SOAP client that is based on `HttpClientMessagePipeline`.
`class`
`HttpSOAPClient`
Deprecated.
use instead a concrete implementation of `AbstractPipelineHttpSOAPClient`, such as `PipelineFactoryHttpSOAPClient`
`class`
`PipelineFactoryHttpSOAPClient`
SOAP client that is based on `HttpClientMessagePipeline`, produced at runtime from an instance of `HttpClientMessagePipelineFactory`.